Subject: 24.0.50; transient-mark-mode customization UI is confusing

From: Stephen Berman <[email-masked]>
Date: Mon, 22 Nov 2010 16:21:41 +0100

1. emacs -Q
2. M-x customize-option RET transient-mark-mode RET
=>
The complete text of the doc string is displayed, as usual, but here it
is confusing, because the values `lambda' and `(only . OLDVAL)' cannot
be entered, since only toggling on-off is allowed.  As noted in the
Elisp manual, these values are intended for Lisp programs, so they
should not be mentioned in the Custom interface, which is concerned with
user settings.

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.18.6)
 of 2010-11-22 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10605000
configured using `configure  '--without-toolkit-scroll-bars''